package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.common.ComAreaCode;
import com.bcxin.ins.entity.common.ComRegion;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;
import java.util.Map;

public interface ComRegionAPIService extends IService<ComRegion> {

	public Map<String, String> findDistrict(String codeLevel, String parentCode);

	public List<ComRegion> findRegionList(String name);

	public List<ComRegion> findRegionListByLevel(String level, String name);

	public List<ComRegion> findDistrictByParentCode(String codeLevel,
													String parentCode);

	public String getRegionName(String pro, String cit, String are);

	public ComRegion findDistrictByCode(String kind, String code);

	public void initSystemDDL(String fileUrl);

}
